NSX-T Data Center REST API

Create service instance

Create Service Instance.
Please note that, only display_name, description and deployment_spec_name
are allowed to be modified in an exisiting entity. If the deployment spec
name is changed, it will trigger the upgrade operation for the SVMs.

Request:

Method:
PATCH
URI Path(s):
/policy/api/v1/infra/tier-0s/{tier-0-id}/locale-services/{locale-service-id}/service-instances/{service-instance-id}
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
PolicyServiceInstance+

Example Request:

PATCH https://<policy-mgr>/policy/api/v1/infra/tier-0s/vmc/locale-services/default/service-instances/PAN-1 { "resource_type": "PolicyServiceInstance", "description": "PAN partner service", "id": "pan-service-instance", "display_name": "pan-service-instance", "path": "/infra/domains/D1/service-instances/PAN-1", "relative_path" : "PAN-1", "partner_service_location": "https://10.161.176.255/home/admin/abc.ovf", "primary_interface_network": "https://10.161.176.255/home/admin", "primary_interface_mgmt_ip": "10.161.176.255", "secondary_interface_network": "https://10.161.176.255/home/admin", "secondary_interface_mgmt_ip": "10.161.176.255", "failure_policy": "FAIL_OPEN", "metadata": "JSON String", "_revision":0 }

Successful Response:

Response Code:
200 OK
Response Headers:
n/a
Response Body:
n/a

Required Permissions:

crud

Feature:

policy_si

Additional Errors: